aboutsummaryrefslogtreecommitdiff
path: root/makeconf.sh
diff options
context:
space:
mode:
authorGravatar Csaba Henk <csaba.henk@creo.hu>2008-01-07 11:18:33 +0000
committerGravatar Csaba Henk <csaba.henk@creo.hu>2008-01-07 11:18:33 +0000
commit93bbd7fda1dd9ee975bce092f7edf10da479662a (patch)
treec9df03089a48c0c2a294aaeae863d91f160e2722 /makeconf.sh
parent56ebfa593c3e8d0897e5346a1723c19fa1fe5a53 (diff)
make makeconf.sh work under FreeBSD
Diffstat (limited to 'makeconf.sh')
-rwxr-xr-xmakeconf.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/makeconf.sh b/makeconf.sh
index f21378d..179cd68 100755
--- a/makeconf.sh
+++ b/makeconf.sh
@@ -3,7 +3,21 @@
echo Running libtoolize...
libtoolize --automake -c -f
-cp /usr/share/gettext/config.rpath .
+CONFIG_RPATH=/usr/share/gettext/config.rpath
+if ! [ -f $CONFIG_RPATH ]; then
+ CONFIG_RPATH=/usr/local/share/gettext/config.rpath
+fi
+if ! [ -f $CONFIG_RPATH ]; then
+ if [ -f config.rpath ]; then
+ CONFIG_RPATH=
+ else
+ echo "config.rpath not found!" >&2
+ exit 1
+ fi
+fi
+if ! [ -z "$CONFIG_RPATH" ]; then
+ cp "$CONFIG_RPATH" .
+fi
if test ! -z "`which autoreconf`"; then
echo Running autoreconf...